# std::insert_iterator::insert_iterator

From cppreference.com
< cpp‎ | iterator‎ | insert iterator

explicit insert_iterator( Container& c, typename Container::iterator i ); |  |

Initializes the underlying pointer to the container to std::addressof(c) and the underlying iterator to `i`.

### Parameters

c | - | container to initialize the inserter with
i | - | iterator to initialize the inserter with

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/insert_iterator/insert_iterator&oldid=50878"